Package org.eclipse.lemminx.extensions.contentmodel.participants.diagnostics

## Class LSPErrorReporterForXML

- java.lang.Object
- - org.apache.xerces.impl.XMLErrorReporter
  - - org.eclipse.lemminx.extensions.xerces.AbstractLSPErrorReporter
    - - org.eclipse.lemminx.extensions.xerces.AbstractReferencedGrammarLSPErrorReporter
      - - org.eclipse.lemminx.extensions.contentmodel.participants.diagnostics.LSPErrorReporterForXML

All Implemented Interfaces:
  `org.apache.xerces.xni.parser.XMLComponent`

    public class LSPErrorReporterForXML
    extends AbstractReferencedGrammarLSPErrorReporter

LSP error reporter for XML syntax and error grammar (XML Schema/DTD).

### Field Summary

### Fields inherited from class org.eclipse.lemminx.extensions.xerces.AbstractReferencedGrammarLSPErrorReporter

`contentModelManager`

### Fields inherited from class org.eclipse.lemminx.extensions.xerces.AbstractLSPErrorReporter

`NO_RANGE`

### Fields inherited from class org.apache.xerces.impl.XMLErrorReporter

`CONTINUE_AFTER_FATAL_ERROR, ERROR_HANDLER, fContinueAfterFatalError, fDefaultErrorHandler, fErrorHandler, fLocale, fLocator, fMessageFormatters, SEVERITY_ERROR, SEVERITY_FATAL_ERROR, SEVERITY_WARNING`

### Constructor Summary

Constructors
`LSPErrorReporterForXML​(DOMDocument xmlDocument, List<org.eclipse.lsp4j.Diagnostic> diagnostics, ContentModelManager contentModelManager, boolean hasRelatedInformation, Map<String,​ReferencedGrammarDiagnosticsInfo> referencedGrammarDiagnosticsInfoCache)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.eclipse.lsp4j.Range` `getReferencedGrammarRange​(String grammarURI)`
`protected boolean` `isIgnoreFatalError​(String key)`
`protected org.eclipse.lsp4j.Range` `toLSPRange​(org.apache.xerces.xni.XMLLocator location, String key, Object[] arguments, String message, org.eclipse.lsp4j.DiagnosticSeverity diagnosticSeverity, boolean fatalError, DOMDocument document, String documentOrGrammarURI, boolean errorForDocument)`

### Methods inherited from class org.eclipse.lemminx.extensions.xerces.AbstractReferencedGrammarLSPErrorReporter

`endReport, fillReferencedGrammarDiagnostic, getCode, getMessage, getSeverity, toLSPRange`

### Methods inherited from class org.eclipse.lemminx.extensions.xerces.AbstractLSPErrorReporter

`addDiagnostic, createDefaultRange, getDOMDocument, initializeReporter, initializeReporter, reportError, setCurrentError`

### Methods inherited from class org.apache.xerces.impl.XMLErrorReporter

`getErrorHandler, getFeature, getFeatureDefault, getLocale, getMessageFormatter, getPropertyDefault, getRecognizedFeatures, getRecognizedProperties, getSAXErrorHandler, putMessageFormatter, removeMessageFormatter, reportError, reportError, reportError, reset, setDocumentLocator, setFeature, setLocale, setProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LSPErrorReporterForXML

    public LSPErrorReporterForXML​(DOMDocument xmlDocument,
                                  List<org.eclipse.lsp4j.Diagnostic> diagnostics,
                                  ContentModelManager contentModelManager,
                                  boolean hasRelatedInformation,
                                  Map<String,​ReferencedGrammarDiagnosticsInfo> referencedGrammarDiagnosticsInfoCache)

### Method Detail

#### toLSPRange

    protected org.eclipse.lsp4j.Range toLSPRange​(org.apache.xerces.xni.XMLLocator location,
                                                 String key,
                                                 Object[] arguments,
                                                 String message,
                                                 org.eclipse.lsp4j.DiagnosticSeverity diagnosticSeverity,
                                                 boolean fatalError,
                                                 DOMDocument document,
                                                 String documentOrGrammarURI,
                                                 boolean errorForDocument)

Specified by:
  `toLSPRange` in class `AbstractReferencedGrammarLSPErrorReporter`

#### isIgnoreFatalError

    protected boolean isIgnoreFatalError​(String key)

Overrides:
  `isIgnoreFatalError` in class `AbstractLSPErrorReporter`

#### getReferencedGrammarRange

    protected org.eclipse.lsp4j.Range getReferencedGrammarRange​(String grammarURI)

Specified by:
  `getReferencedGrammarRange` in class `AbstractReferencedGrammarLSPErrorReporter`